/**   -=- DrawLines -=-
 *
 *    This program creates thumbnail sketches from coordinates of lines
 *    recorded in a log file generated during user experiments. From a
 *    graphical user interface, this program allows to load the log file,
 *    and to browse the lines viewing the result on an image. This thumbnail
 *    image can be saved in a file under the PNG format. An accumulation
 *    mode allows to add several lines on the same thumbnail image.
 *
 *    Copyright (C) 2006-2008 Guillaume RIVIERE
 *
 *    This file is part of DrawLines.
 *
 *    DrawLines is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 * 
 *    DrawLines is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 * 
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>
 **/


// generated 2006/11/8 10:52:58 CET by guillaume@pc-ludo-max2.(none)
// using glademm V2.6.0
//
// newer (non customized) versions of this file go to Window1.hh_new

// you might replace
//    class foo : public foo_glade { ... };
// by
//    typedef foo_glade foo;
// if you didn't make any modifications to the widget

#include <vector>

#ifndef _WINDOW1_HH
#  include "Window1_glade.hh"
#  define _WINDOW1_HH


#include "DrawLines.hh"
#include "cut.hh"

using namespace std ;

class Window1 : public Window1_glade
{  

public:

  //-- Constructeurs / Destructeur

  Window1 () ;

private:

  //-- Accesseurs

  void set_cut_pos (const int i) ;

  void set_map_coord (const double Xmin, const double Xmax,
		      const double Ymin, const double Ymax) ;

  //-- Callbacks

  void on_rb_ex1_clicked();
  void on_rb_ex2_clicked();
  void on_rb_ex3_clicked();
  void on_rb_ex4_clicked();
  void on_rb_ex5_clicked();
  void on_rb_ex6_clicked();
  void on_rb_ex7_clicked();

  void on_check_contour_image_toggled();
  void on_check_cumuler_lignes_toggled();

  void on_bouton_valider_clicked();
  void on_bouton_sauver_clicked();

  void on_bouton_prec_clicked();
  void on_bouton_suiv_clicked();

  void on_entry_cut_pos_changed();

  void on_button_sauver_cut_clicked();
  void on_bouton_ajouter_ligne_clicked();
  void on_bouton_charger_clicked();

  void on_bouton_dessiner_carte_clicked();

  //-- Attributs

  DrawLines* m_zoneDessin;

  Gtk::RadioButton* m_radio_tab[7] ;

  int m_cut_pos ;

  vector<struct cut *>m_cuts_tab ;
};
#endif
